<?xml version="1.0" encoding="ISO-8859-1"?>

<!--
  Dieses Style wandelt einen Artikel im Article-XML-Format
  nach Rtf um.
  2000-03-09 Markus Gayda
-->

<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		version="1.0">

<xsl:output method="text" indent="no"/>

<xsl:template match="article">
<xsl:text>{\rtf1\ansi\deff0</xsl:text>
  {\info {\title <xsl:value-of select="head/title"/>}
  {\author <xsl:value-of select="head/author"/>}
  {\keywords <xsl:value-of select="head/keywords"/>}
  {\creatim <xsl:value-of select="head/time"/>} }
<xsl:apply-templates select="body"/>
}
</xsl:template>


<!-- Formatierungen-->
	      
<xsl:template match="emphasized">
{\b  <xsl:apply-templates/> }
</xsl:template>

<xsl:template match="break">
\line 
</xsl:template>

<xsl:template match="emphasized2">
{\i  <xsl:apply-templates/> }
</xsl:template>

<xsl:template match="emphasized3">
{\b\i  <xsl:apply-templates/> }
</xsl:template>

<xsl:template match="paragraph">
{<xsl:apply-templates/>\par}
</xsl:template>

<xsl:template match="section">
{\fs48 <xsl:apply-templates/>\par}
</xsl:template>

<xsl:template match="subsection">
{\fs24 <xsl:apply-templates/>\par}
</xsl:template>

<xsl:template match="text()">
  <xsl:value-of select="normalize-space(.)"/>
  <!--  <xsl:if test="starts-with(.,' ')">	
    <xsl:text>A</xsl:text>
  </xsl:if>		
  <xsl:value-of select="normalize-space(.)"/>
  <xsl:if test="substring(.,string-length(.),1)=' '">
    <xsl:text>E</xsl:text>
  </xsl:if>		 -->
</xsl:template>

</xsl:stylesheet>







