package com.make.editor.plugins;

import java.util.EventObject;
import org.w3c.dom.Node;
import com.make.editor.EditorDocument;

public class ComponentEvent extends EventObject {
    /***properties**************************/
    protected EditorDocument document;
    protected Node node;
    /***Constructor**************************/
    public ComponentEvent(EditorComponent s) {
	super(s);
    }
    public ComponentEvent(EditorComponent s, EditorDocument _d, Node _n) {
	this(s);
	document = _d; node = _n;
    }
    public ComponentEvent(EditorComponent s, EditorDocument _d) {
	this(s, _d, null);
    }
    /***ComponentEvent**********************/
    public EditorComponent getComponent() { return (EditorComponent)getSource(); }
    public EditorDocument getDocument() { return document; }
    public Node getNode() { return node; }
}
