package com.make.editor.plugins;

import java.awt.Component;
import java.text.ParseException;
import java.beans.PropertyChangeListener;
import javax.swing.Action;
import com.make.editor.EditorDocument;

public interface EditorComponent {
    public static final String COMPONENT = "component";
    public void setDocument(EditorDocument doc);
    public void flushDocument() throws ParseException;
    public Component getComponent();
    public void focusGained();
    public void focusLost();
    public void addPropertyChangeListener(PropertyChangeListener l);
    public void removePropertyChangeListener(PropertyChangeListener l);
    public void addComponentListener(ComponentListener l);
    public void removeComponentListener(ComponentListener l);
    public void dispose();
}
