package com.make.editor.plugins.container;

import org.w3c.dom.Node;
import javax.swing.Action;
import javax.swing.event.ListDataListener;
import javax.swing.event.ListDataEvent;
import com.make.editor.EditorDocument;

public interface DynamicContainerModel extends ContainerModel {
    public void reload();
    public int insertItem(EditorDocument doc, int idx);
    public boolean removeItem(int idx);
    public void itemChanged(int idx);
    public int moveItem(int idx, int newIdx);
}
