package com.make.editor.plugins.table;

import org.w3c.dom.Node;
import org.w3c.dom.Element;
import org.xml.sax.SAXException;
import org.apache.xalan.xpath.XPath;
import com.make.xml.DOMUtil;
import com.make.xml.XPathUtil;
import com.make.swing.field.Field;
import com.make.swing.il.InputLink;
import com.make.swing.il.InputLinkFactory;
import com.make.swing.il.FieldInputLink;

public class NullColumn implements Column {
    /***properties*********************/
    protected String caption;
    /***Constructor*************************/
    public NullColumn(Element c) {
	caption = DOMUtil.getLocalizedElementString(c, "caption");
    }
    /***Column*****************************/
    public String getCaption() { return caption; }
    public boolean isEditable(Node row) { return false; }
    public Object getValue(Node row) { return null; }
    public void setValue(Node row, Object value) {
	throw new InternalError();
    }
    public Field getField(Node row) { return null; }
}
