package com.make.editor.plugins.text.tree;

import javax.swing.text.BadLocationException;
import com.make.swing.text.Element;
import com.make.swing.text.DocumentEvent;
import com.make.swing.text.SplitNotSupportedException;

public class Section extends ElementSwingElement {
    /***properties*******************************/
    /***Constructor*********************************/
    public Section(org.w3c.dom.Element _el, SwingDocument _doc, int _len) {
	super(_el, _doc, _len);
    } 
    public Section(org.w3c.dom.Element _el, SwingDocument _doc) {
	super(_el, _doc, 0);
    } 
    /***SwingElement***********************************/
    public boolean canInsertAt(int pos) throws BadLocationException {
	return super.canInsertAt(pos) &&
	    pos<getEndOffset();
    }
    /***Format****************************************/
    protected Element createEmptyInstance(org.w3c.dom.Element el) { 
	return new Section(el, (SwingDocument)getDocument(), 0);
    }
} 
