package com.make.editor.plugins.text.tree;

import com.make.swing.text.Element;

public class TableRowElement extends ElementSwingElement {
    /***Constructor*************************/
    public TableRowElement(org.w3c.dom.Element _e, SwingDocument _doc) {
	super(_e, _doc, 0);
    }
    /***Format****************************************/
    protected Element createEmptyInstance(org.w3c.dom.Element el) { 
	throw new IllegalStateException(); 
    }
    public boolean canRemoveChild(Element child) {
	return false;
    }
    public void setColumnCount(Element row, int count){
	int cols = row.getElementCount();
	if (count>cols){
	    System.err.println("Hier sollte angefuegt werden");
	    for (; cols<count; cols++) {
		Element child = createDefaultChild();
		//Element par = child.createDefaultChild();
		//System.err.println("createDefaultChild:"+child);
		row.insertChild(child,null);
		//child.insertChild(par,null);
	    }
	}
    }
    public void setParent(Element _p, int _start, int _index) {
	super.setParent(_p,_start,_index);
	if (_p!=null) {
	    getDocument().beginUpdate();
	    int nrows = _p.getElementCount();
	    if (nrows>1){
		for (int i=0;i<_p.getElementCount();i++){
		    Element row =  _p.getElementAtIndex(i);
		    //System.err.println("Zeile"+i);
		    setColumnCount(row,(int)Math.max(_p.getElementAtIndex(0).getElementCount(),getElementCount()));
		}
	    }
	    getDocument().endUpdate();
	}
    }
}
