package com.make.editor.plugins.text.tree;

import org.w3c.dom.Node;
import org.w3c.dom.Document;
import java.util.Hashtable;
import javax.swing.text.BadLocationException;
import com.make.swing.text.Element;
import com.make.swing.text.DocumentEvent;

public class UnknownSwingElement extends NodeSwingElement {
    /***Constructor*************************/
    public UnknownSwingElement(Node _e, SwingDocument _doc) {
	super(_e, _doc, 0, false);
    }
    /***Info******************************************/
    public boolean ignoreOuterSpaces() { return true; }
    /***Format****************************************/
    protected Element createEmptyInstance() {
	return null;
    }
    /***NodeSwingElement*****************************/
    public Node copyXmlNode(Document doc, int start, int end) 
	throws BadLocationException { 
	return null; //TODO
    }
    public boolean pasteNode(int pos, Node n, DocumentEvent evt) 
	throws BadLocationException {
	return false;
    }
}
