package com.make.editor.plugins.text.view;

import com.make.swing.text.Element;
import com.make.swing.text.view.BoxView;
import com.make.swing.text.view.VerticalView;

public class BodyView extends BoxView implements VerticalView {
    /***Constructor***********************/
    public BodyView(Element body) { 
	super(body, Y_AXIS); 
    }
    /***View************************************************/
    public int getBreakWeight(int axis, int offset, float pos, float len) {
	if (axis==getAxis())
	    return super.getBreakWeight(axis, offset, pos, len);
	else
	    return ForcedBreakWeight;
    }
}
