package com.make.editor.plugins.text.view;

import java.awt.Shape;
import javax.swing.text.BadLocationException;
import com.make.swing.text.Element;
import com.make.swing.text.view.ViewFactory;

public class ParagraphView extends com.make.swing.text.view.ParagraphView {
    /***Constructor******************************/
    public ParagraphView(Element elem, ViewFactory vf) {
	super(elem, vf);
    }
    /***View*********************************/
    public Shape modelToView(int pos, Shape a) throws BadLocationException {
	if (pos==getEndOffset())
	    pos--;
	return super.modelToView(pos, a);
    }
    public Shape modelToView(int p0, int p1, Shape a) 
	throws BadLocationException {
	if (p1==getEndOffset()) {
	    p1--;
	    if (p0==getEndOffset())
		p0--;
	}
	return super.modelToView(p0, p1, a);
    }
}
