package com.make.swing;

import java.awt.Window;
import java.awt.event.WindowEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowListener;
import java.util.Vector;
import com.make.util.Debug;

public abstract class MainWindowManager {
    /***static********************************/
    protected static Vector frames = new Vector();
    protected static WindowListener windowListener = new WindowAdapter() {
	public void windowOpened(WindowEvent e) {
	    frames.addElement(e.getWindow());
	}
        public void windowClosed(WindowEvent e) {
	    unregisterFrame(e.getWindow());
	    if (frames.isEmpty()) {
		/*if (Debug.DEBUG) {
		  System.err.println("exiting cleanly from LeanEdit");
		  Thread.dumpStack();
		  }*/
		System.exit(0);
	    }
	}
    };
    /***Static********************************/
    public static void registerFrame(Window f) {
	f.addWindowListener(windowListener);
    }
    public static void unregisterFrame(Window f) {
	f.removeWindowListener(windowListener);
	frames.removeElement(f);
    }
}
