package com.make.swing.il;

import java.awt.Component;
import java.awt.GridLayout;
import java.awt.Dimension;
import java.util.Enumeration;
import java.text.ParseException;
import javax.swing.JPanel;
import javax.swing.Box;
import org.w3c.dom.Element;
import com.make.xml.DOMUtil;

public class BoxInputLink extends ContainerInputLink {
    /***properties*****************/
    protected Box box;
    /***Constructor****************/
    public BoxInputLink(Element vd, int axis, Element[] fsa, InputLinkFactory ilf) {
	super(vd);
	box = new Box(axis);
	for (int z=0; z<fsa.length; z++) {
	    InputLink il = ilf.createInputLink(fsa[z]);
	    if (il!=null) {
		fields.addElement(il);
		Component label = il.getLabel();
		if (label!=null)
		    box.add(label);
		box.add(il.getComponent());
	    }
	}
    }
    /***InputLink*************************/
    public Component getComponent() { return box; }
}
