package com.make.swing.il;

import java.awt.Component;
import java.text.ParseException;
import com.make.swing.ButtonManager;

public interface InputLink {
    public void install(ButtonManager bm);
    public void uninstall(ButtonManager bm);
    public Component getComponent();
    public Component getLabel();
    public void reload();
    public void apply() throws ParseException;
    public void checkInput() throws ParseException;
    public void dispose();
}
