package com.make.datamodel.embedded;

import java.io.IOException;
import java.io.InputStream;
import java.util.Hashtable;
import org.w3c.dom.Node;
import org.xml.sax.SAXException;
import com.make.xml.DocumentType;

public interface EmbeddedManager {
    public String[] getNames() throws IOException;
    public Hashtable getSizes() throws IOException;
    public boolean contains(String name);
    public void replaceEntry(String name, InputStream data)
	throws IOException;
    public InputStream getEntry(String name) throws IOException;
    public void replaceDocument(Node n) throws IOException;
    public Node getDocument() throws IOException, SAXException;
    public boolean equals(Object o);
}
