package com.make.editor;

import java.util.ResourceBundle;
import java.util.Enumeration;
import java.io.IOException;
import javax.swing.Action;
import org.xml.sax.SAXException;
import com.make.swing.SwingSession;
import com.make.swing.InterfacePanel;
import com.make.datamodel.embedded.EmbeddedManager;

public interface EditorSession extends SwingSession {
    public EditorApplication getApplication();
    public EditorFrame open(EmbeddedManager em, InterfacePanel ip) 
	throws IOException, SAXException;
    public void addActions(Enumeration enum);
    public void removeActions(Enumeration enum);
}
