package com.make.editor.field;

import java.io.FilenameFilter;
import java.io.File;

public class ExtensionFilenameFilter implements FilenameFilter {
    /***properties***************************/
    protected String[] extensions;
    /***Constructor***************************/
    public ExtensionFilenameFilter(String[] es) {
	extensions = es;
    }
    /***FilenameFilter***********************/
    public boolean accept(File dir, String name) {
	if (extensions==null)
	    return true;
	for (int z=0; z<extensions.length; z++)
	    if (name.endsWith('.'+extensions[z]))
		return true;
	return false;
    }
}
