package com.make.editor.plugins.panel;

import java.awt.Component;
import org.w3c.dom.Element;
import com.make.editor.EditorFrame;
import com.make.editor.EditorDocument;
import com.make.editor.plugins.ContainerComponent;

class PanelComponent extends ContainerComponent {
    /***properties*********************************/
    protected Component component;
    /***Constructor*******************************/
    public PanelComponent(EditorFrame _ef) {
	super(_ef);
    }
    /***EditorComponent****************************/
    public void setDocument(EditorDocument doc) {
	super.setDocument(doc);
	Component oldValue = component;
	component = createComponent(null, (Element)getViewDescription("panel"));
	firePropertyChange(COMPONENT, oldValue, component);
    }
    public Component getComponent() { return component; }
}
