package com.make.editor.plugins.text.tree;

import org.w3c.dom.Element;
import java.net.URL;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

public class ResourceImageElement extends ImageElement {
    /***Constructor*****************************/
    public ResourceImageElement(Element el, SwingDocument doc, boolean _inline) {
	super(el, doc, _inline);
    }
    public void loadImage() {
	try {
	    String p = (String)getAttribute((Object)"image");
	    if (p==null)
		p = "/com/make/editor/resources/multimedia.jpg";
	    URL url = getClass().getResource(p);
	    if (url!=null)
		icon = new ImageIcon(url);
	} catch (Exception e) {
	    JOptionPane.showMessageDialog
		(null, "Fehler beim Laden des Bildes.",
		 "Fehler", JOptionPane.ERROR_MESSAGE);
	    icon = null;
	}
    }
}
