package com.make.swing;

import java.awt.Component;
import java.awt.Frame;
import com.make.swing.bt.FrameDescription;
import com.make.swing.bt.ButtonDescription;
import com.make.swing.bt.ButtonContainer;

public interface InterfacePanel {
    public void addFrameDescription(FrameDescription fd);
    public void removeFrameDescription(FrameDescription fd);
    public ButtonContainer getButtonContainer();
    public ButtonManager getButtonManager();
    public void setContent(PanelContent c);
    public void setTitle(String s);
    public Frame getFrame();
    public void show();
}
