package com.make.swing;

import java.awt.event.ActionListener;
import javax.swing.AbstractButton;

public class SwingButton implements GenericButton {
    /***properties****************************/
    protected AbstractButton bt;
    /***Constructor**************************/
    public SwingButton(AbstractButton _bt) { bt = _bt; }
    public String toString() {
	return "SwingButton("+bt+")";
    }
    /***GenericButton*************************/
    public Object getActionSource() { return bt; }
    public String getActionCommand() { return bt.getActionCommand(); }
    public void addActionListener(ActionListener al) {
	bt.addActionListener(al);
    }
    public void removeActionListener(ActionListener al) {
	bt.removeActionListener(al);
    }
    public void setEnabled(boolean _e) {
	bt.setEnabled(_e);
    }
    public void setSelected(boolean _p) {
	bt.setSelected(_p);
    }
}
