package com.make.swing;

import java.awt.event.ActionEvent;
import java.beans.PropertyChangeListener;
import javax.swing.Action;

public class ThreadAction implements Action {
    /***properties*****************************/
    protected Action action;
    /***Constructor***************************/
    public ThreadAction(Action _a) {
	action = _a;
    }
    /***Action******************************/
    public Object getValue(String key) { 
	return action.getValue(key); 
    }
    public void putValue(String key, Object value) {
	action.putValue(key, value);
    }
    public void setEnabled(boolean b) {
	action.setEnabled(b);
    }
    public boolean isEnabled() {
	return action.isEnabled();
    }
    public void addPropertyChangeListener(PropertyChangeListener listener) {
	action.addPropertyChangeListener(listener);
    }
    public void removePropertyChangeListener(PropertyChangeListener listener) {
	action.addPropertyChangeListener(listener);
    }
    public synchronized void actionPerformed(final ActionEvent evt) {
	Thread thread = new Thread("threadAction "+action.getValue(action.NAME)) {
		public void run() {
		    action.actionPerformed(evt);
		}
	    };
	thread.setDaemon(true);
	thread.start();
    }
}
