package com.make.swing.text.view;

import java.awt.Graphics;
import java.awt.Shape;
import java.awt.Rectangle;
import java.awt.Color;
import com.make.swing.text.Element;

public class UnknownView extends ParagraphView {
    public UnknownView(Element _se, ViewFactory vf) {
	super(_se, vf);
	setInsets((short)2, (short)2, (short)2, (short)2);
    }
    public void paint(Graphics g, Shape allocation) {
	super.paint(g, allocation);
	Rectangle alloc = allocation.getBounds();
	g.setColor(Color.black);
	g.drawRect(alloc.x, alloc.y, alloc.width-1, alloc.height-1);
    }
}
