package com.make.util;

import java.util.Enumeration;

public class AppendEnumeration implements Enumeration {
    /***properties**************************/
    protected Enumeration[] enumerations;
    protected boolean hasMore;
    protected int pos = 0;
    /***Constructor***********************/
    public AppendEnumeration(Enumeration[] _es) {
	enumerations = _es;
	findNext();
    }
    public AppendEnumeration(Enumeration e1, Enumeration e2) {
	this(new Enumeration[]{e1,e2});
    }
    protected void findNext() {
	for (; pos<enumerations.length; pos++)
	    if (enumerations[pos].hasMoreElements()) {
		hasMore = true; return;
	    }
	hasMore = false;
    }
    /***Enumeration*********************/
    public boolean hasMoreElements() {
	return hasMore;
    }
    public Object nextElement() {
	Object o = enumerations[pos].nextElement();
	findNext();
	return o;
    }
}
