package com.make.util;

public class InsertInterval extends Interval {
    /***Constructor****************************/
    public InsertInterval() {}
    /***Grow********************************/
    public void include(int i) {
	if (!isValid())
	    first = last = i;
	else if (i>=first && i<=(last+1))
	    last++;
	else {
	    System.err.println("FATAL ERROR: wrong index: "+i);
	    System.err.println("first="+first+" last="+last);
	    throw new IllegalArgumentException("wrong index: "+i);
	}
    }
    public void include(Interval i) {
	throw new InternalError("not implemented yet"); //TODO
    }
}
