package com.make.util;

public class RemoveInterval extends Interval {
    /***Constructor****************************/
    public RemoveInterval() {}
    /***Grow********************************/
    public void removed(int i) {
	if (isValid()) {
	    if (first>i) {
		first--;
		last--;
	    }
	}
    }
    public void inserted(int i) {
	if (isValid()) {
	    if (first>i) {
		first++;
		last++;
	    }
	}
    }
    public void include(int i) {
	if (!isValid())
	    first = last = i;
	else if (i==(first-1))
	    first--;
	else if (i==first)
	    last++;
	else {
	    System.err.println("FATAL ERROR: wrong index: "+i);
	    System.err.println("first="+first+" last="+last);
	    throw new IllegalArgumentException("wrong index: "+i);
	}
    }
    public void include(Interval i) {
	final int first = i.getFirst();
	for (int z=i.getCount(); z>0; z--)
	    include(first);
	// TODO: optimieren
    }
}
