package com.make.xml.slot;

import java.text.ParseException;
import org.w3c.dom.Element;
import com.make.datamodel.slot.Slot;
import com.make.xml.DOMUtil;
import com.make.xml.ElementType;

public class ElementSlot implements Slot {
    /***properties*****************************/
    protected Element element;
    protected ElementType type;
    /***Constructor*****************************/
    public ElementSlot(Element _el, ElementType _type) {
	element = _el; type = _type;
    }
    public ElementSlot(Element _el) {
	this(_el, null);
    }
    /***Slot**********************************/
    public void setValue(Object v) throws ParseException {
	DOMUtil.setElementString(element, (String)v);
    }
    public Object getValue() throws ParseException {
	return DOMUtil.getElementString(element);
    }
}
